Subject: [PATCH v3 02/31] arm64: Kernel booting and initialisation

From: [email-masked] (Arnd Bergmann)
Date: Mon, 10 Sep 2012 14:48:20 +0000

On Monday 10 September 2012, Nicolas Pitre wrote:
> On Mon, 10 Sep 2012, Arnd Bergmann wrote:
> > On Monday 10 September 2012, Catalin Marinas wrote:
> > > On Mon, Sep 10, 2012 at 06:53:39AM +0100, Jean-Christophe PLAGNIOL-VILLARD wrote:
> > I think a bunch of other architectures can have relocatable kernels, which
> > is useful e.g. for kdump. It does imply a small runtime cost and may have
> > other disadvantages though.
> 
> Relocatable in physical space is what kdump actually needs, and that's 
> what we already have here (as well as on ARM32 for that matter with 
> CONFIG_ARM_PATCH_PHYS_VIRT).  Relocatable in the virtual space is costly 
> and we shouldn't need to go there.

Ah, I see. I thought that the other architectures (powerpc and x86)
doing this were actually building with -fPIC, but they do the same
kind of early patching that we do.

	Arnd